Skip to main content
PATCH
PATCH projects
Update the human-readable name, description, or external_id of a Project. To change who can access a project or its visibility, see Change Project Sharing and the add_user / remove_user endpoints.

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

Body

application/json
description
string | null
name
string | null
project_name
string | null

Response

200 - application/json

OK

$uri
string
required
read-only
Pattern: ^/api/v1/projects/[a-f0-9]{16}$
Example:

"/api/v1/projects/0d77065796f8d173"

owner
users · object
required
permissions
string[]
required
project_name
string | null
required
Required string length: 3 - 15
Pattern: ^[a-zA-Z0-9_-]{3,15}$
description
string | null
external_id
string | null
Example:

"PRJ-2024-001"

name
string | null
public
boolean
default:false